const SAVE_LAYOUT = 'layout/SAVE_LAYOUT';
const CHANGE_LAYOUT = 'layout/CHANGE_LAYOUT';

const ActionTypes = {
  SAVE_LAYOUT,
  CHANGE_LAYOUT,
};

function saveLayout(layout) {
  return {
    type: SAVE_LAYOUT,
    layout,
  };
}

function changeLayout(layout) {
  return {
    type: CHANGE_LAYOUT,
    layout,
  };
}

const ActionCreators = {
  saveLayout,
  changeLayout,
};

export { ActionTypes, ActionCreators };
