import { ActionTypes } from './actions';

const defaultState = {
  layout: [
    {
      flex: 6,
      cells: ['cell1', 'cell2', 'cell3', 'cell4'],
    },
    {
      flex: 3,
      cells: ['cell5', 'cell6'],
    },
    {
      flex: 3,
      cells: ['cell7', 'cell8', 'cell9', 'cell10'],
    },
  ],
};

export default function layoutReducer(state = defaultState, action) {
  switch (action.type) {
    case ActionTypes.SAVE_LAYOUT:
      return {
        ...state,
        layout: action.layout,
      };
    case ActionTypes.CHANGE_LAYOUT:
      return {
        ...state,
        layout: action.layout,
      };
    default:
      return state;
  }
}
