import React from 'react';

/**
 * 日历底部日程安排
 * @param {*} props
 */
export default function CalendarFooter(props) {
  return (
    <div className="sinooa-calendar-footer">
      <div className="sinooa-calendar-footer-title">
        <div className="sinooa-calendar-footer-current-day">今天</div>
        <div className="sinooa-calendar-footer-follow">
          <span>关注人</span>
          <span>╋</span>
        </div>
      </div>
      <div className="sinooa-calendar-footer-content">
        <div className="sinooa-calendar-footer-content-item">
          <span>
            <b>PM 3:00</b>
          </span>
          <span>参加某会议</span>
        </div>
        <div className="sinooa-calendar-footer-content-item">
          <span>
            <b>PM 8:00</b>
          </span>
          <span>首都机场接人</span>
        </div>
      </div>
    </div>
  );
}
