import React from 'react';
import './InfoListHeader.css';

type InfoListHeaderPropsType = {
  children: string,
  undoNumber: number,
};

export default function InfoListHeader(props: InfoListHeaderPropsType) {
  return (
    <div className="sinooa-info-list-header">
      <span className="sinooa-info-list-header-name">{props.children}</span>
      {props.undoNumber && (
        <div className="sinooa-info-list-header-undoNumber">
          {props.undoNumber}
        </div>
      )}
    </div>
  );
}
